# Uses of Interface
org.italiangrid.voms.request.VOMSProtocol

Packages that use VOMSProtocol
Package
Description
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.

## Uses of VOMSProtocol in org.italiangrid.voms.request.impl

Classes in org.italiangrid.voms.request.impl that implement VOMSProtocol
Modifier and Type
Class
Description
`class`
`AbstractVOMSProtocol`
Abstract base class providing a skeletal implementation of the VOMS client-server protocol.
`class`
`LegacyProtocol`
Protocol implementing the legacy interface.
`class`
`RESTProtocol`
Protocol implementing the REST-style interface.
Fields in org.italiangrid.voms.request.impl declared as VOMSProtocol
Modifier and Type
Field
Description
`protected VOMSProtocol`
DefaultVOMSACService.Builder.`httpProtocol`
The http protocol implementation
`protected final VOMSProtocol`
DefaultVOMSACService.`httpProtocol`
The http protocol implementation
`protected VOMSProtocol`
DefaultVOMSACService.Builder.`legacyProtocol`
The voms legacy protocol implementation
`protected final VOMSProtocol`
DefaultVOMSACService.`legacyProtocol`
The voms legacy protocol implementation
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSProtocol
Modifier and Type
Method
Description
`DefaultVOMSACService.Builder`
DefaultVOMSACService.Builder.`httpProtocol(VOMSProtocol httpProtocol)`
Sets the http protocol implementation
`DefaultVOMSACService.Builder`
DefaultVOMSACService.Builder.`legacyProtocol(VOMSProtocol legacyProtocol)`
Sets the legacy protocol implementation